# Uses of Interface
java.lang.classfile.constantpool.ConstantPool

Packages that use ConstantPool
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of ConstantPool in java.lang.classfile

Subinterfaces of ConstantPool in java.lang.classfile
Modifier and Type
Interface
Description
`interface`
`ClassReader`
Advanced `class` file reading support for `AttributeMapper`s.
Methods in java.lang.classfile that return ConstantPool
Modifier and Type
Method
Description
`ConstantPool`
BootstrapMethodEntry.`constantPool()`
Returns the constant pool associated with this entry.
`ConstantPool`
ClassModel.`constantPool()`
Returns the constant pool for this class.
Methods in java.lang.classfile with parameters of type ConstantPool
Modifier and Type
Method
Description
`boolean`
BufWriter.`canWriteDirect(ConstantPool other)`
Returns whether the provided constant pool is index-compatible with the constant pool of this buffer.

## Uses of ConstantPool in java.lang.classfile.constantpool

Subinterfaces of ConstantPool in java.lang.classfile.constantpool
Modifier and Type
Interface
Description
`interface`
`ConstantPoolBuilder`
Builder for the constant pool of a `class` file.
Methods in java.lang.classfile.constantpool that return ConstantPool
Modifier and Type
Method
Description
`ConstantPool`
PoolEntry.`constantPool()`
Returns the constant pool this entry is from.
Methods in java.lang.classfile.constantpool with parameters of type ConstantPool
Modifier and Type
Method
Description
`boolean`
ConstantPoolBuilder.`canWriteDirect(ConstantPool constantPool)`
Returns `true` if the index of any entry in the given constant pool refers to the same entry in this builder.